package com.bocloud.cmp.model;

public class ZXHypervisor {
    private String id;
    private String hypervisorId;
    private String status;
    private String description;
    private String arc;
    private String state;
    private String hypervisorType;
    private String hypervisorHostname;
    private String hypervisorVersion;
    private String vcpus;
    private String vcpusUsed;
    private String localGb;
    private String localGbUsed;
    private String freeDiskGb;
    private String memoryMb;
    private String memoryMbUsed;
    private String freeRamMb;
    private String cpuInfo;
    private String currentWorkload;
    private String runningVms;
    private String diskAvailableLeast;
    private String hostIp;
    private String usbs;
    private String servers;
    private Extra extra;
    private Service service;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getHypervisorId() {
        return hypervisorId;
    }

    public void setHypervisorId(String hypervisorId) {
        this.hypervisorId = hypervisorId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getArc() {
        return arc;
    }

    public void setArc(String arc) {
        this.arc = arc;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getHypervisorType() {
        return hypervisorType;
    }

    public void setHypervisorType(String hypervisorType) {
        this.hypervisorType = hypervisorType;
    }

    public String getHypervisorHostname() {
        return hypervisorHostname;
    }

    public void setHypervisorHostname(String hypervisorHostname) {
        this.hypervisorHostname = hypervisorHostname;
    }

    public String getHypervisorVersion() {
        return hypervisorVersion;
    }

    public void setHypervisorVersion(String hypervisorVersion) {
        this.hypervisorVersion = hypervisorVersion;
    }

    public String getVcpus() {
        return vcpus;
    }

    public void setVcpus(String vcpus) {
        this.vcpus = vcpus;
    }

    public String getVcpusUsed() {
        return vcpusUsed;
    }

    public void setVcpusUsed(String vcpusUsed) {
        this.vcpusUsed = vcpusUsed;
    }

    public String getLocalGb() {
        return localGb;
    }

    public void setLocalGb(String localGb) {
        this.localGb = localGb;
    }

    public String getLocalGbUsed() {
        return localGbUsed;
    }

    public void setLocalGbUsed(String localGbUsed) {
        this.localGbUsed = localGbUsed;
    }

    public String getFreeDiskGb() {
        return freeDiskGb;
    }

    public void setFreeDiskGb(String freeDiskGb) {
        this.freeDiskGb = freeDiskGb;
    }

    public String getMemoryMb() {
        return memoryMb;
    }

    public void setMemoryMb(String memoryMb) {
        this.memoryMb = memoryMb;
    }

    public String getMemoryMbUsed() {
        return memoryMbUsed;
    }

    public void setMemoryMbUsed(String memoryMbUsed) {
        this.memoryMbUsed = memoryMbUsed;
    }

    public String getFreeRamMb() {
        return freeRamMb;
    }

    public void setFreeRamMb(String freeRamMb) {
        this.freeRamMb = freeRamMb;
    }

    public String getCpuInfo() {
        return cpuInfo;
    }

    public void setCpuInfo(String cpuInfo) {
        this.cpuInfo = cpuInfo;
    }

    public String getCurrentWorkload() {
        return currentWorkload;
    }

    public void setCurrentWorkload(String currentWorkload) {
        this.currentWorkload = currentWorkload;
    }

    public String getRunningVms() {
        return runningVms;
    }

    public void setRunningVms(String runningVms) {
        this.runningVms = runningVms;
    }

    public String getDiskAvailableLeast() {
        return diskAvailableLeast;
    }

    public void setDiskAvailableLeast(String diskAvailableLeast) {
        this.diskAvailableLeast = diskAvailableLeast;
    }

    public String getHostIp() {
        return hostIp;
    }

    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }

    public String getUsbs() {
        return usbs;
    }

    public void setUsbs(String usbs) {
        this.usbs = usbs;
    }

    public String getServers() {
        return servers;
    }

    public void setServers(String servers) {
        this.servers = servers;
    }

    public Extra getExtra() {
        return extra;
    }

    public void setExtra(Extra extra) {
        this.extra = extra;
    }

    public Service getService() {
        return service;
    }

    public void setService(Service service) {
        this.service = service;
    }

    public class Extra {
        private String ipmiUsername;
        private String memsum;
        private String reservedMem;
        private String cpuOverRatio;
        private String irai_running_vms;
        private String isReservedFlag;
        private String minSwapSize;
        private String dc_name;
        private String memOverRatio;
        private String reservedCpu;
        private String ipmiPassword;
        private String cpusum;
        private String zone_name;
        private Boolean ipmiFlag;
        private String cpu_ender;
        private String swapReposId;
        private String zone_id;
        private String localSwapSize;
        private String phy_cpuNum;
        private String dc_id;
        private String serverIp;
        private String hostMaintainStatus;
        private String cpuModel;
        private String reservedBindCpu;
        private String ipmiIp;
        private String cpuFrequency;
        private String vcpus_used_rate;
        private String swapSize;
        private int dc_type;

        public String getIpmiUsername() {
            return ipmiUsername;
        }

        public void setIpmiUsername(String ipmiUsername) {
            this.ipmiUsername = ipmiUsername;
        }

        public String getMemsum() {
            return memsum;
        }

        public void setMemsum(String memsum) {
            this.memsum = memsum;
        }

        public String getReservedMem() {
            return reservedMem;
        }

        public void setReservedMem(String reservedMem) {
            this.reservedMem = reservedMem;
        }

        public String getCpuOverRatio() {
            return cpuOverRatio;
        }

        public void setCpuOverRatio(String cpuOverRatio) {
            this.cpuOverRatio = cpuOverRatio;
        }

        public String getIrai_running_vms() {
            return irai_running_vms;
        }

        public void setIrai_running_vms(String irai_running_vms) {
            this.irai_running_vms = irai_running_vms;
        }

        public String getIsReservedFlag() {
            return isReservedFlag;
        }

        public void setIsReservedFlag(String isReservedFlag) {
            this.isReservedFlag = isReservedFlag;
        }

        public String getMinSwapSize() {
            return minSwapSize;
        }

        public void setMinSwapSize(String minSwapSize) {
            this.minSwapSize = minSwapSize;
        }

        public String getDc_name() {
            return dc_name;
        }

        public void setDc_name(String dc_name) {
            this.dc_name = dc_name;
        }

        public String getMemOverRatio() {
            return memOverRatio;
        }

        public void setMemOverRatio(String memOverRatio) {
            this.memOverRatio = memOverRatio;
        }

        public String getReservedCpu() {
            return reservedCpu;
        }

        public void setReservedCpu(String reservedCpu) {
            this.reservedCpu = reservedCpu;
        }

        public String getIpmiPassword() {
            return ipmiPassword;
        }

        public void setIpmiPassword(String ipmiPassword) {
            this.ipmiPassword = ipmiPassword;
        }

        public String getCpusum() {
            return cpusum;
        }

        public void setCpusum(String cpusum) {
            this.cpusum = cpusum;
        }

        public String getZone_name() {
            return zone_name;
        }

        public void setZone_name(String zone_name) {
            this.zone_name = zone_name;
        }

        public Boolean getIpmiFlag() {
            return ipmiFlag;
        }

        public void setIpmiFlag(Boolean ipmiFlag) {
            this.ipmiFlag = ipmiFlag;
        }

        public String getCpu_ender() {
            return cpu_ender;
        }

        public void setCpu_ender(String cpu_ender) {
            this.cpu_ender = cpu_ender;
        }

        public String getSwapReposId() {
            return swapReposId;
        }

        public void setSwapReposId(String swapReposId) {
            this.swapReposId = swapReposId;
        }

        public String getZone_id() {
            return zone_id;
        }

        public void setZone_id(String zone_id) {
            this.zone_id = zone_id;
        }

        public String getLocalSwapSize() {
            return localSwapSize;
        }

        public void setLocalSwapSize(String localSwapSize) {
            this.localSwapSize = localSwapSize;
        }

        public String getPhy_cpuNum() {
            return phy_cpuNum;
        }

        public void setPhy_cpuNum(String phy_cpuNum) {
            this.phy_cpuNum = phy_cpuNum;
        }

        public String getDc_id() {
            return dc_id;
        }

        public void setDc_id(String dc_id) {
            this.dc_id = dc_id;
        }

        public String getServerIp() {
            return serverIp;
        }

        public void setServerIp(String serverIp) {
            this.serverIp = serverIp;
        }

        public String getHostMaintainStatus() {
            return hostMaintainStatus;
        }

        public void setHostMaintainStatus(String hostMaintainStatus) {
            this.hostMaintainStatus = hostMaintainStatus;
        }

        public String getCpuModel() {
            return cpuModel;
        }

        public void setCpuModel(String cpuModel) {
            this.cpuModel = cpuModel;
        }

        public String getReservedBindCpu() {
            return reservedBindCpu;
        }

        public void setReservedBindCpu(String reservedBindCpu) {
            this.reservedBindCpu = reservedBindCpu;
        }

        public String getIpmiIp() {
            return ipmiIp;
        }

        public void setIpmiIp(String ipmiIp) {
            this.ipmiIp = ipmiIp;
        }

        public String getCpuFrequency() {
            return cpuFrequency;
        }

        public void setCpuFrequency(String cpuFrequency) {
            this.cpuFrequency = cpuFrequency;
        }

        public String getVcpus_used_rate() {
            return vcpus_used_rate;
        }

        public void setVcpus_used_rate(String vcpus_used_rate) {
            this.vcpus_used_rate = vcpus_used_rate;
        }

        public String getSwapSize() {
            return swapSize;
        }

        public void setSwapSize(String swapSize) {
            this.swapSize = swapSize;
        }

        public int getDc_type() {
            return dc_type;
        }

        public void setDc_type(int dc_type) {
            this.dc_type = dc_type;
        }
    }

    public class Service {
        private String extra;
        private String id;
        private String host;
        private String hostName;
        private String service;
        private String zone;
        private String novaConductor;
        private String novaConsoleauth;
        private String novaCert;
        private String novaScheduler;
        private String novaCompute;

        public String getExtra() {
            return extra;
        }

        public void setExtra(String extra) {
            this.extra = extra;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getHost() {
            return host;
        }

        public void setHost(String host) {
            this.host = host;
        }

        public String getHostName() {
            return hostName;
        }

        public void setHostName(String hostName) {
            this.hostName = hostName;
        }

        public String getService() {
            return service;
        }

        public void setService(String service) {
            this.service = service;
        }

        public String getZone() {
            return zone;
        }

        public void setZone(String zone) {
            this.zone = zone;
        }

        public String getNovaConductor() {
            return novaConductor;
        }

        public void setNovaConductor(String novaConductor) {
            this.novaConductor = novaConductor;
        }

        public String getNovaConsoleauth() {
            return novaConsoleauth;
        }

        public void setNovaConsoleauth(String novaConsoleauth) {
            this.novaConsoleauth = novaConsoleauth;
        }

        public String getNovaCert() {
            return novaCert;
        }

        public void setNovaCert(String novaCert) {
            this.novaCert = novaCert;
        }

        public String getNovaScheduler() {
            return novaScheduler;
        }

        public void setNovaScheduler(String novaScheduler) {
            this.novaScheduler = novaScheduler;
        }

        public String getNovaCompute() {
            return novaCompute;
        }

        public void setNovaCompute(String novaCompute) {
            this.novaCompute = novaCompute;
        }
    }
}
